<template>
  <div class="about">
    <h1>This is an about page</h1>
    <br>
    <p>
      counter: {{ counter }}
    </p>
  </div>
</template>

<script setup>
import { ref } from "vue";
import { useRouter, useRoute } from 'vue-router';

const router = useRouter()
const route = useRoute()
const counter = ref(route.params.timeout || 3)

setInterval(() => { 
  counter.value = counter.value - 1
  if (counter.value == 0) {
    router.push('/') 
  }
  
}, 1000)

</script>

<style>
@media (min-width: 1024px) {
  .about {
    min-height: 100vh;
    display: flex;
    align-items: center;
  }
}
</style>
